## veracrypt 1.17

=== Makefile ===
#
# Derived from source code of TrueCrypt 7.1a, which is
# Copyright (c) 2008-2012 TrueCrypt Developers Association and which is governed
# by the TrueCrypt License 3.0.
#
# Modifications and additions to the original source code (contained in this file) 
# and all other portions of this file are Copyright (c) 2013-2016 IDRIX
# and are governed by the Apache License 2.0 the full text of which is
# contained in the file License.txt included in VeraCrypt binary and source
# code distribution packages.
#

#------ Command line arguments ------
# DEBUG:		Disable optimizations and enable debugging checks
# DEBUGGER:		Enable debugging information for use by debuggers
# NOASM:		Exclude modules requiring assembler
# NOGUI:		Disable graphical user interface (build console-only application)
# NOSTRIP:		Do not strip release binary
# NOTEST:		Do not test release binary
# RESOURCEDIR:	Run-time resource directory
# VERBOSE:		Enable verbose messages
# WXSTATIC:		Use static wxWidgets library

#------ Targets ------
# all
# clean
# wxbuild:		Configure and build wxWidgets - source code must be located at $(WX_ROOT)


#------ Build configuration ------

export APPNAME := veracrypt
export BASE_DIR := $(CURDIR)
export BUILD_INC := $(BASE_DIR)/Build/Include

export AR ?= ar
export CC ?= gcc
export CXX ?= g++
export AS := nasm
export RANLIB ?= ranlib

export CFLAGS := -Wall
export CXXFLAGS := -Wall -Wno-unused-parameter
C_CXX_FLAGS := -MMD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES -I$(BASE_DIR) -I$(BASE_DIR)/Crypto
export ASFLAGS := -Ox -D __GNUC__
export LFLAGS :=

export PKG_CONFIG_PATH ?= /usr/local/lib/pkgconfig

export WX_CONFIG ?= wx-config
export WX_CONFIG_ARGS := --unicode
WX_CONFIGURE_FLAGS :=
export WXCONFIG_CFLAGS :=
export WXCONFIG_CXXFLAGS :=
WX_ROOT ?= ..


export TC_BUILD_CONFIG := Release

ifeq "$(origin DEBUG)" "command line"
	ifneq "$(DEBUG)" "0"
		TC_BUILD_CONFIG := Debug
	endif
endif

ifeq "$(origin NOGUI)" "command line"
	export TC_NO_GUI := 1
	C_CXX_FLAGS += -DTC_NO_GUI
	WX_CONFIGURE_FLAGS += --disable-gui
endif

ifdef PKCS11_INC
	C_CXX_FLAGS += -I$(PKCS11_INC)
else
	C_CXX_FLAGS += -I$(CURDIR)/PKCS11
endif

ifeq "$(origin RESOURCEDIR)" "command line"
	C_CXX_FLAGS += -DTC_RESOURCE_DIR="$(RESOURCEDIR)"
endif

ifneq "$(origin VERBOSE)" "command line"
	MAKEFLAGS += -s
endif

ifeq "$(origin WXSTATIC)" "command line"
	export VC_WX_STATIC := 1
	WX_CONFIG = $(WX_BUILD_DIR)/wx-config
	WX_CONFIG_ARGS += --static
endif


#------ Release configuration ------

ifeq "$(TC_BUILD_CONFIG)" "Release"

	C_CXX_FLAGS += -O2 -fno-strict-aliasing  # Do not enable strict aliasing
	export WX_BUILD_DIR ?= $(BASE_DIR)/wxrelease
	WX_CONFIGURE_FLAGS += --disable-debug_flag --disable-debug_gdb --disable-debug_info

else

#------ Debug configuration ------

	C_CXX_FLAGS += -DDEBUG
	CXXFLAGS += -fno-default-inline -Wno-unused-function -Wno-unused-variable
	export WX_BUILD_DIR ?= $(BASE_DIR)/wxdebug
	WX_CONFIGURE_FLAGS += --enable-debug_flag --disable-debug_gdb --disable-debug_info

endif


#------ Debugger configuration ------

ifeq "$(origin DEBUGGER)" "command line"

	C_CXX_FLAGS += -ggdb  
	WX_CONFIGURE_FLAGS += --enable-debug_gdb --enable-debug_info

endif


#------ Platform configuration ------

export PLATFORM := "Unknown"
export PLATFORM_ARCH := "Unknown"
export PLATFORM_UNSUPPORTED := 0

export CPU_ARCH ?= unknown

ARCH = $(shell uname -p)
ifeq "$(ARCH)" "unknown"
	ARCH = $(shell uname -m)
endif

ifneq (,$(filter i386 i486 i586 i686 x86,$(ARCH)))
	CPU_ARCH = x86
    ASFLAGS += -f elf32
else ifneq (,$(filter x86_64 x86-64 amd64 x64,$(ARCH)))
	CPU_ARCH = x64
    ASFLAGS += -f elf64
endif

ifeq "$(origin NOASM)" "command line"
	CPU_ARCH = unknown
endif

ifeq "$(CPU_ARCH)" "x86"
	PLATFORM_ARCH := i386
	C_CXX_FLAGS += -D TC_ARCH_X86
else ifeq "$(CPU_ARCH)" "x64"
	PLATFORM_ARCH := amd64
	C_CXX_FLAGS += -D TC_ARCH_X64
endif


#------ Linux configuration ------

ifeq "$(shell uname -s)" "Linux"

	PLATFORM := Linux
	C_CXX_FLAGS += -DTC_UNIX -DTC_LINUX

	ifeq "$(TC_BUILD_CONFIG)" "Release"
		C_CXX_FLAGS += -fdata-sections -ffunction-sections
		LFLAGS += -Wl,--gc-sections

		ifneq "$(shell ld --help 2>&1 | grep sysv | wc -l)" "0"
			LFLAGS += -Wl,--hash-style=sysv
		endif

		WXCONFIG_CFLAGS += -fdata-sections -ffunction-sections
		WXCONFIG_CXXFLAGS += -fdata-sections -ffunction-sections
	endif
	
	ifneq "$(origin WXSTATIC)" "command line"
		LFLAGS += -ldl
	endif

endif

#------ Mac OS X configuration ------

ifeq "$(shell uname -s)" "Darwin"

	PLATFORM := MacOSX
	APPNAME := VeraCrypt
	
	export VC_OSX_TARGET ?= 10.7

	#check to see if XCode 3 path exists.Otherwise, use XCode 4 path
	VC_OSX_SDK  := /Developer/SDKs/MacOSX$(VC_OSX_TARGET).sdk
	ifeq ($(wildcard $(VC_OSX_SDK)/SDKSettings.plist),)
		VC_OSX_SDK := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(VC_OSX_TARGET).sdk
	endif

	CC := gcc
	CXX := g++

	C_CXX_FLAGS += -DTC_UNIX -DTC_BSD -DTC_MACOSX -mmacosx-version-min=$(VC_OSX_TARGET) -isysroot $(VC_OSX_SDK)
	LFLAGS += -mmacosx-version-min=$(VC_OSX_TARGET) -Wl,-syslibroot $(VC_OSX_SDK)
	WX_CONFIGURE_FLAGS += --with-macosx-version-min=$(VC_OSX_TARGET) --with-macosx-sdk=$(VC_OSX_SDK)

	ifeq "$(CPU_ARCH)" "x64"
		CPU_ARCH = x86
	endif

	AS := $(BASE_DIR)/Build/Tools/MacOSX/nasm
	ASFLAGS += --prefix _

	ifeq "$(TC_BUILD_CONFIG)" "Release"

		export DISABLE_PRECOMPILED_HEADERS := 1

		S := $(C_CXX_FLAGS)
		C_CXX_FLAGS = $(subst -MMD,,$(S))

		C_CXX_FLAGS += -gfull -arch i386 -arch x86_64
		LFLAGS += -Wl,-dead_strip -arch i386 -arch x86_64

		WX_CONFIGURE_FLAGS += --enable-universal_binary=i386,x86_64
		WXCONFIG_CFLAGS += -gfull
		WXCONFIG_CXXFLAGS += -gfull

	else

		WX_CONFIGURE_FLAGS += --disable-universal_binary

	endif

endif


#------ FreeBSD configuration ------

ifeq "$(shell uname -s)" "FreeBSD"

	PLATFORM := FreeBSD
	PLATFORM_UNSUPPORTED := 1
	C_CXX_FLAGS += -DTC_UNIX -DTC_BSD -DTC_FREEBSD

endif


#------ Solaris configuration ------

ifeq "$(shell uname -s)" "SunOS"

	PLATFORM := Solaris
	PLATFORM_UNSUPPORTED := 1
	C_CXX_FLAGS += -DTC_UNIX -DTC_SOLARIS
	WX_CONFIGURE_FLAGS += --with-gtk

endif


#------ Common configuration ------

CFLAGS := $(C_CXX_FLAGS) $(CFLAGS) $(TC_EXTRA_CFLAGS)
CXXFLAGS := $(C_CXX_FLAGS) $(CXXFLAGS) $(TC_EXTRA_CXXFLAGS)
LFLAGS := $(LFLAGS) $(TC_EXTRA_LFLAGS)

WX_CONFIGURE_FLAGS += --enable-unicode -disable-shared --disable-dependency-tracking --disable-compat26 --enable-exceptions --enable-std_string --enable-dataobj --enable-mimetype \
	--disable-protocol --disable-protocols --disable-url --disable-ipc --disable-sockets --disable-fs_inet --disable-ole --disable-docview --disable-clipboard \
	--disable-help --disable-html --disable-mshtmlhelp --disable-htmlhelp --disable-mdi --disable-metafile --disable-webkit --disable-webview \
	--disable-xrc --disable-aui --disable-postscript --disable-printarch \
	--disable-arcstream --disable-fs_archive --disable-fs_zip --disable-tarstream --disable-zipstream \
	--disable-animatectrl --disable-bmpcombobox --disable-calendar --disable-caret --disable-checklst --disable-collpane --disable-colourpicker --disable-comboctrl \
	--disable-datepick --disable-display --disable-dirpicker --disable-filepicker --disable-fontpicker --disable-grid  --disable-dataviewctrl \
	--disable-listbook --disable-odcombobox --disable-sash  --disable-searchctrl --disable-slider --disable-splitter --disable-togglebtn \
	--disable-toolbar --disable-tbarnative --disable-treebook --disable-toolbook --disable-tipwindow --disable-popupwin \
	--disable-commondlg --disable-aboutdlg --disable-coldlg --disable-finddlg --disable-fontdlg --disable-numberdlg --disable-splash \
	--disable-tipdlg --disable-progressdlg --disable-wizarddlg --disable-miniframe --disable-splines --disable-palette \
	--disable-richtext --disable-dialupman --disable-debugreport --disable-filesystem --disable-rearrangectrl --disable-treelist --disable-richmsgdlg \
	--disable-richtooltip --disable-propgrid --disable-stc --without-libnotify \
	--without-gtkprint --without-gnomevfs --disable-fsvolume --disable-fswatcher \
	--disable-graphics_ctx --disable-sound --disable-mediactrl --disable-joystick --disable-apple_ieee \
	--disable-gif --disable-pcx --disable-tga --disable-iff --disable-gif --disable-pnm --disable-svg \
	--without-expat --without-libtiff --without-libjpeg --without-libpng -without-regex --without-zlib

ifeq "$(PLATFORM)" "Linux"	
WX_CONFIGURE_FLAGS += --disable-tooltips
endif

#------ Project build ------

PROJ_DIRS := Platform Volume Driver/Fuse Core Main

.PHONY: all clean wxbuild

all clean:
	@if pwd | grep -q ' '; then echo 'Error: source code is stored in a path containing spaces' >&2; exit 1; fi

	@for DIR in $(PROJ_DIRS); do \
		PROJ=$$(echo $$DIR | cut -d/ -f1); \
		$(MAKE) -C $$DIR -f $$PROJ.make NAME=$$PROJ $(MAKECMDGOALS) || exit $?; \
		export LIBS="$(BASE_DIR)/$$DIR/$$PROJ.a $$LIBS"; \
	done	


#------ wxWidgets build ------

ifeq "$(MAKECMDGOALS)" "wxbuild"
CFLAGS :=
CXXFLAGS :=
LFLAGS :=
endif

wxbuild:

ifneq "$(shell test -f $(WX_ROOT)/configure || test -f $(WX_BUILD_DIR)/../configure && echo 1)" "1"
	@echo 'Error: WX_ROOT must point to wxWidgets source code directory' >&2
	@exit 1
endif

	rm -rf "$(WX_BUILD_DIR)"
	mkdir -p "$(WX_BUILD_DIR)"
	@echo Configuring wxWidgets library...
	cd "$(WX_BUILD_DIR)" && "$(WX_ROOT)/configure" $(WX_CONFIGURE_FLAGS) >/dev/null
	
	@echo Building wxWidgets library...
	cd "$(WX_BUILD_DIR)" && $(MAKE)

=== Boot/Windows/Makefile ===
#
# Derived from source code of TrueCrypt 7.1a, which is
# Copyright (c) 2008-2012 TrueCrypt Developers Association and which is governed
# by the TrueCrypt License 3.0.
#
# Modifications and additions to the original source code (contained in this file) 
# and all other portions of this file are Copyright (c) 2013-2016 IDRIX
# and are governed by the Apache License 2.0 the full text of which is
# contained in the file License.txt included in VeraCrypt binary and source
# code distribution packages.

PROJ = BootLoader
.SILENT:

!ifndef MSVC16_ROOT
!error Environment variable MSVC16_ROOT must point to the installation directory of MS Visual C++ 1.5
!endif

ENVPATH = $(PATH)

CC = $(MSVC16_ROOT)\bin\cl.exe
LD = $(MSVC16_ROOT)\bin\link.exe

AFLAGS = /nologo /omf

CFLAGS = /nologo /W3 /Fc /I "$(MSVC16_ROOT)\Include" /I"..\..\.." /I"..\..\..\Common" /I"..\..\..\Crypto"
CFLAGS = $(CFLAGS) /D __int8=char /D __int16=int /D __int32=long /D BOOL=char /D FALSE=0 /D TRUE=1
CFLAGS = $(CFLAGS) /D LITTLE_ENDIAN=1234 /D BYTE_ORDER=1234 /D TC_WINDOWS_BOOT /D TC_MINIMIZE_CODE_SIZE /D TC_NO_COMPILER_INT64
CFLAGS = $(CFLAGS) /D malloc=malloc_NA

LFLAGS = /NOLOGO /ONERROR:NOEXE /NOI /BATCH

OBJDIR = Release

!ifdef RESCUE_DISK
OBJDIR = Rescue
CFLAGS = $(CFLAGS) /D TC_WINDOWS_BOOT_RESCUE_DISK_MODE
!endif

!ifdef SINGLE_CIPHER
OBJDIR = $(OBJDIR)_$(SINGLE_CIPHER)
CFLAGS = $(CFLAGS) /D TC_WINDOWS_BOOT_SINGLE_CIPHER_MODE /D TC_WINDOWS_BOOT_$(SINGLE_CIPHER)
!endif

!ifdef SINGLE_PRF
OBJDIR = $(OBJDIR)_$(SINGLE_PRF)
CFLAGS = $(CFLAGS) /D TC_WINDOWS_BOOT_$(SINGLE_PRF)
!else
CFLAGS = $(CFLAGS) /D TC_WINDOWS_BOOT_RIPEMD160
!endif

OUTDIR = $(OBJDIR)
TARGETEXT = com
TARGETS = $(OUTDIR)\BootDefs.i $(OUTDIR)\BootSector.bin $(OUTDIR)\Decompressor.com
CFLAGS = $(CFLAGS) /AT /Zl /f- /G3 /Oe /Os /Ob1 /OV0 /Gs /Gf /Gy /D NDEBUG
LFLAGS = $(LFLAGS) /NOD /NOE /TINY
OBJS = $(OUTDIR)\BootCrt.obj
LIBS = slibce

!if 1
SRCDIR = ..
!else
SRCDIR = $(MAKEDIR)
!endif

TARGETS = $(TARGETS) $(OUTDIR)\$(PROJ).$(TARGETEXT)

OBJS = $(OBJS) $(OUTDIR)\BootConfig.obj
OBJS = $(OBJS) $(OUTDIR)\BootConsoleIo.obj
OBJS = $(OBJS) $(OUTDIR)\BootDebug.obj
OBJS = $(OBJS) $(OUTDIR)\BootDiskIo.obj
OBJS = $(OBJS) $(OUTDIR)\BootEncryptedIo.obj
OBJS = $(OBJS) $(OUTDIR)\BootMain.obj
OBJS = $(OBJS) $(OUTDIR)\BootMemory.obj
OBJS = $(OBJS) $(OUTDIR)\IntFilter.obj
OBJS = $(OBJS) $(OUTDIR)\Platform.obj

OBJS = $(OBJS) $(OUTDIR)\Crc.obj
OBJS = $(OBJS) $(OUTDIR)\Crypto.obj
OBJS = $(OBJS) $(OUTDIR)\Endian.obj
OBJS = $(OBJS) $(OUTDIR)\Pkcs5.obj
OBJS = $(OBJS) $(OUTDIR)\Volumes.obj
OBJS = $(OBJS) $(OUTDIR)\Xts.obj

!if "$(SINGLE_PRF)" == "SHA2"
OBJS = $(OBJS) $(OUTDIR)\Sha2Small.obj
!else
OBJS = $(OBJS) $(OUTDIR)\Rmd160.obj
!endif

!if !DEFINED (SINGLE_CIPHER)
OBJS = $(OBJS) $(OUTDIR)\AesSmall.obj
!else if "$(SINGLE_CIPHER)" == "AES"
OBJS = $(OBJS) $(OUTDIR)\Aes_hw_cpu.obj
OBJS = $(OBJS) $(OUTDIR)\AesSmall_x86.obj
OBJS = $(OBJS) $(OUTDIR)\Aestab.obj
!endif

!if !DEFINED (SINGLE_CIPHER) || "$(SINGLE_CIPHER)" == "SERPENT"
OBJS = $(OBJS) $(OUTDIR)\Serpent.obj
!endif

!if !DEFINED (SINGLE_CIPHER) || "$(SINGLE_CIPHER)" == "TWOFISH"
OBJS = $(OBJS) $(OUTDIR)\Twofish.obj
!endif


all: env $(TARGETS)

env:
	set INCLUDE=.
	set LIB=.
	set LIBPATH=.
	
clean:
	-del /q /s $(OBJDIR) >NUL:


.asm{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	$(AS) $(AFLAGS) /c "$(SRCDIR)\$<"
	cd ..

{..\..\Crypto}.asm{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	echo $(<F)
	nasm.exe -Xvc -f obj -Ox -o "$(<B).obj" -l "$(<B).lst" "$(SRCDIR)\$<"
	cd ..

{..\..\Crypto}.c{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..
	
{..\..\Common}.c{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..

.c{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..
			
.cpp{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..

$(OUTDIR)\BootDefs.i: BootDefs.h
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /D TC_ASM_PREPROCESS /P /EP "$(SRCDIR)\BootDefs.h"
	set PATH=$(ENVPATH)
	cd ..
	
$(OUTDIR)\BootSector.bin: $(OUTDIR)\BootSector.obj
	cd $(OBJDIR)
	$(LD) $(LFLAGS) BootSector.obj,BootSector.bin,,,, >NUL:
	-dd.exe conv=notrunc bs=512 if=BootSector.bin of=$(PROJ).flp 2>NUL:
	cd ..

$(OUTDIR)\Decompressor.com: $(OUTDIR)\BootCrt.obj $(OUTDIR)\Decompressor.obj
	cd $(OBJDIR)
	$(LD) $(LFLAGS) BootCrt.obj Decompressor.obj,Decompressor.com,Decompressor.map,$(MSVC16_ROOT)\lib\+slibce,,
	-dd.exe conv=notrunc,sync bs=512 seek=1 if=Decompressor.com of=$(PROJ).flp 2>NUL:
	cd ..

$(OUTDIR)\$(PROJ).$(TARGETEXT): $(OBJS)
	@echo Linking...
	cd $(OBJDIR)
	
	echo >NUL: @<<$(PROJ).crf2

$(PROJ).$(TARGETEXT)
$(PROJ).map
$(MSVC16_ROOT)\lib\+
$(LIBS)
;
<<
	del $(PROJ).crf >NUL: 2>NUL:
	for %F in ($(**F)) do @echo %F + >>$(PROJ).crf
	type $(PROJ).crf2 >>$(PROJ).crf
	
	$(LD) $(LFLAGS) @$(PROJ).crf
	del $(PROJ).crf $(PROJ).crf2

# Compress the Rescue Disk botloader for Cascades and Serpent since it is too big (size > 31232 bytes)
!if DEFINED(RESCUE_DISK) && (!DEFINED (SINGLE_CIPHER) || ("$(SINGLE_CIPHER)" == "SERPENT"))
	upx $(PROJ).$(TARGETEXT)
!endif
	gzip.exe -c -n --best $(PROJ).$(TARGETEXT) >$(PROJ).$(TARGETEXT).gz
	-dd.exe conv=notrunc,sync bs=512 seek=5 if=$(PROJ).$(TARGETEXT).gz of=$(PROJ).flp 2>NUL:
	cd ..

=== debian/changelog ===
veracrypt (1.17-1mx150+1) mx; urgency=medium

  * New upstream release:
    - Support UNICODE passwords: all characters are now accepted in passwords
      (except Windows system encryption).
    - Cut mount/boot time by half thanks to a clever optimization of key
      derivation (found by Xavier de Carné de Carnavalet).
    - Optimize Whirlpool PRF speed by using assembly (25% speed gain compared
      to previous code).
    - Add support for creating exFAT volumes.
    - Add GUI indicator for the amount of randomness gathered using mouse
      movement.
    - Include new icons and graphics contributed by Andreas Becker
      (http://www.andreasbecker.de)
    - Fix issue of --stdin option not handling correctly passwords that contain
      a space character (reported - and fixed by Codeplex user horsley1953).
    - Fix issue creating volumes using command line with a filesystem other
      than FAT.
    - Support K/M/G/T suffixes for --size switch to indicate unit to use for
      size value.
  * Change icon to new version from source, patch and use .desktop file from
    source.      
  * Install PDF user's manual into separate package.
  * Create and install manpage.
  * Add missing debian/compat.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 16 Apr 2016 10:31:51 -0700

veracrypt (1.16-2mx150+1) mx; urgency=medium

  * Menu icon going into wrong folder with wrong name; fixed with debian/install.
  * Rework of debian/rules to modernize it.
  * debian/control: mention PDF user's guide in description.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 07 Feb 2016 11:14:22 -0800
 

veracrypt (1.16-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Drop libwxbase3.0-dev build-dep; it's brought in by libwxgtk3.0-dev. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 05 Feb 2016 12:18:54 -0800

veracrypt (1.16-1ppa1~trusty1) trusty; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2015 18:48:11 +0300

veracrypt (1.16-1) unstable; urgency=low

  * Initial release (Closes: #123456)  

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2015 12:00:47 +0300

=== debian/control ===
Source: veracrypt
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libwxgtk3.0-dev,
 libfuse-dev,
 dmsetup,
 libsm6,
 wget,
 nasm [amd64 i386],
 makeself [linux-any]
Standards-Version: 3.9.6
Homepage: https://veracrypt.codeplex.com/

Package: veracrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: veracrypt-pdf-doc
Description: Free open-source disk encryption software
 VeraCrypt is a software system for establishing and maintaining an
 on-the-fly-encrypted volume (data storage device). On-the-fly encryption
 means that data are automatically encrypted or decrypted right before they
 are loaded or saved, without any user intervention. No data stored on an
 encrypted volume can be read (decrypted) without using the correct
 password/keyfile(s) or correct encryption keys. Entire file system is
 encrypted (e.g., file names, folder names, contents of every file,
 free space, meta data, etc).
  
Package: veracrypt-pdf-doc
Architecture: all
Description: PDF user manual for Veracrypt
 VeraCrypt is a software system for establishing and maintaining an
 on-the-fly-encrypted volume (data storage device). On-the-fly encryption
 means that data are automatically encrypted or decrypted right before they
 are loaded or saved, without any user intervention. No data stored on an
 encrypted volume can be read (decrypted) without using the correct
 password/keyfile(s) or correct encryption keys. Entire file system is
 encrypted (e.g., file names, folder names, contents of every file,
 free space, meta data, etc).
 .
 This package contains the PDF user's manual.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_build:
	cd src && LIBS="-ldl" $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	cd src && (test ! -f Makefile || $(MAKE) clean)
	
override_dh_auto_install:
	mkdir -p debian/veracrypt-pdf-doc/usr/share/doc/veracrypt-pdf-doc
	cp "src/Release/Setup Files/VeraCrypt User Guide.pdf" debian/veracrypt-pdf-doc/usr/share/doc/veracrypt-pdf-doc
	dh_auto_install
	
#override_dh_builddeb:
#	dh_builddeb -- -Z xz

## veracrypt 1.21~repack

=== debian/changelog ===
veracrypt (1.21~repack-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Sep 2017 16:01:07 -0700

veracrypt (1.21~repack-0mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove MacOS-specific /src/Setup folder to cut source tarball size in half.
  * d/c: Specify versions of yasm and libappindicator-dev for successful builds.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Jul 2017 14:58:35 -0700

veracrypt (1.21-0vanir1~14.04) trusty; urgency=medium

  * d/compat, d/control: Lower debhelper to compat 10 for backport to trusty.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 11 Jul 2017 18:12:28 -0400

veracrypt (1.21-0vanir1) unstable; urgency=medium

  * New upstream version 1.21
    - Refresh patches.
  * Run wrap-and-sort.
  * Bump standards-version to 4.0.0.
  * d/30veracrypt, d/veracrypt, d/veracrypt.(install,default):
    - Dismount all volumes on suspend.
  * d/compat, d/control: Bump debhelper to compat 10.
  * d/control:
    - Update homepage.
    - Switch build-depend from nasm to yasm.
    - Drop dep on dosfstools, recommend exfat-utils and ntfs-3g.
    - Drop build-depend on makeself and imagemagick.
  * d/copyright: Update copyright information and years.
  * d/p/003-indicator-support.diff: Extend to compile with Ayatana indicators.
  * d/p/004-fixup-install.diff: Fix the install target so we can use it.
  * d/rules:
    - Pass '--as-needed' to LDFLAGS.
    - Drop imagemagick rules to convert the xpm.
    - The pdf user guide no longer exists, drop rules tweaking it.
  * d/veracrypt.desktop: Correctly pass the file to open.
  * d/veracrypt.docs: Drop user_guide.pdf.
  * d/veracrypt.doc-base: Update to note the html docs, not pdf.
  * d/veracrypt.init: Fix a case mismatch.
  * d/veracrypt.install: Drop veracrypt(,.xpm), upstream has an install target.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 10 Jul 2017 20:44:46 -0400

veracrypt (1.19+repack-0vanir2) unstable; urgency=medium

  * d/rules: Disable strip during build as it prevents dbgsym autogeneration.
  * d/veracrypt.install, d/veracrypt.desktop, d/veracrypt.xml:
    - Give '.hc' and '.tc' mimetypes, and associate them with VeraCrypt.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 16 Feb 2017 17:08:41 -0500

veracrypt (1.19+repack-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.19+repack
    - Refresh patches.
  * d/copyright: Correct URLs, use correct alternate license.
  * d/control: Depend on lsb-base.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 17 Oct 2016 18:54:06 -0400

veracrypt (1.18-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.18
    - Drop upstream patch, refresh remaining patches.
  * d/watch: Find releases using Proper Case tarballs.
  * Update standards-version to 3.9.8.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Aug 2016 18:00:57 -0400

veracrypt (1.17-0vanir2) unstable; urgency=medium

  * d/p/004-gcc5-compatibility.diff:
    - Add a patch from upstream fixing GCC5 compatibility.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 18 Mar 2016 16:59:03 -0400

veracrypt (1.17-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.17.
    - Refresh patches.
  * Update standards-version to 3.9.7.
  * Update my email address.
  * d/veracrypt.menu: Drop menu, following CTTE #741573.
  * d/README.Debian: Drop, changes are unimportant, leftover from TC.
  * d/veracrypt.desktop: Add some keywords.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 22 Feb 2016 18:48:31 -0500

veracrypt (1.14-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.14.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 19 Sep 2015 16:53:59 -0400

veracrypt (1.12-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.12.
    - Remove upstream commits.
      + d/p/004-Correct-wxWidgets-assert-warnings-when-displaying-about.diff
    - Refresh remaining patches.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 06 Aug 2015 20:52:40 -0400

veracrypt (1.0f-2-0vanir3) unstable; urgency=medium

  * d/p/004-Correct-wxWidgets-assert-warnings-when-displaying-about.diff:
    - Add patch from upstream to fix assert when opening about dialog.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 20 Apr 2015 18:20:18 -0400

veracrypt (1.0f-2-0vanir2) unstable; urgency=medium

  * d/control:
    - Drop version deps on e2fsprogs and mount.
    - Replace module-init-tools with kmod.
    - Drop dep on xterm.
    - Bump xdg-utils down to recommends.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 13 Apr 2015 17:44:29 -0400

veracrypt (1.0f-2-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.0f-2
    - Drop 003-file-manager.diff and 004-no-preference-x.diff, fixed upstream.
    - Refresh remaining patches.
  * Remove all references to opencryptoki.
  * d/rules: Enable verbose build.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 06 Apr 2015 16:58:55 -0400

veracrypt (1.0f-1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * d/watch: Pick up releases with underscores and dashes too.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 08 Jan 2015 04:45:50 -0500

veracrypt (1.0f-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refreshed patches.
  * d/watch: Update for tar.gz, bz2 and xz.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 03 Jan 2015 04:11:10 -0500

veracrypt (1.0e-0vanir1) unstable; urgency=medium

  * Initial release.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 09 Nov 2014 15:36:54 -0500

=== debian/control ===
Source: veracrypt
Section: non-free/utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper (>= 9),
 libappindicator-dev (>= 0.4.92-4) | libappindicator-dev (<< 0.4.92-3.1),
 libfuse-dev,
 libwxgtk3.0-dev,
 pkg-config,
 yasm (>= 1.2) [any-i386 any-amd64]
Standards-Version: 4.0.0
Homepage: https://veracrypt.fr/

Package: veracrypt
Architecture: any
Depends:
 dmsetup,
 kmod,
 lsb-base,
 sudo,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 exfat-utils,
 ntfs-3g,
 xdg-utils
Description: Cross-platform on-the-fly encryption
 VeraCrypt provides cross-platform on-the-fly encryption for Linux, MacOS X and
 Windows. It can encrypt filesystems stored either within a file or on disk
 partitions. Supported encryption algorithms include AES, Serpent and Twofish.
 The current version uses the XTS mode of disk encryption. In addition,
 VeraCrypt supports "hidden volumes" - unidentifiable volumes present in the
 free-space of a VeraCrypt volume.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh  $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1 NOSTRIP=1
	unset DISPLAY && src/Main/veracrypt --text --help 2>/dev/null | debian/veracrypt_help_to_troff.pl > veracrypt.1

override_dh_clean:
	dh_clean veracrypt.1

override_dh_installinit:
	dh_installinit --no-start -- stop 10 0 1 6 .

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://sf.net/veracrypt/[Vv]era[Cc]rypt_([\d\w\._-]+)_[Ss]ource\.tar\.(?:gz|bz2|xz)

## veracrypt 1.23~ds1

=== debian/changelog ===
veracrypt (1.23~ds1-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove superfluous Mac OSX setup files from /src, recompress tarball.
  * Revert to debhelper compat 10.
  * Make the recommended packages dependencies.
  * Disable automatic dpgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Oct 2018 13:44:57 -0700

veracrypt (1.23-0vanir1~16.04) xenial; urgency=medium

  * No-change backport to xenial

 -- Unit 193 <unit193@ubuntu.com>  Sat, 15 Sep 2018 19:20:01 -0400

veracrypt (1.23-0vanir1) unstable; urgency=medium

  * d/u/signing-key.asc: Update for new signing key.
  * New upstream version 1.23
    - Refresh patches.
  * Update Standards-Version to 4.2.1.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 15 Sep 2018 17:26:29 -0400

veracrypt (1.22-0vanir1) unstable; urgency=medium

  * New upstream version 1.22
    - d/p/005-fix-ftbfs-gcc-7.diff: Drop, applied upstream.
    - Refresh remaining patches.
  * Update Standards-Version to 4.1.3.
  * d/copyright:
    - Add a comment as to why this is a 'non-free' package.
    - Update years.
  * d/compat, d/control: Bump dh compat to 11.
  * d/p/003-indicator-support.diff: Correct the indicator icon name.
  * d/s/lintian-overrides: Override notes about pre-built windows files.
  * d/veracrypt.docs: Install src/NOTICE.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 30 Mar 2018 22:38:27 -0400

veracrypt (1.21-0vanir2) unstable; urgency=medium

  * Update Standards-Version to 4.1.1.
  * d/p/005-fix-ftbfs-gcc-7.diff: Fix FTBFS with gcc 7.
  * d/watch: Use https sf.net redirector.
  * d/control: Add libayatana-appindicator-dev as primary alt build-dep.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 02 Nov 2017 20:51:20 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: non-free/utils
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 9),
- libappindicator-dev (>= 0.4.92-4) | libappindicator-dev (<< 0.4.92-3.1),
+Build-Depends: debhelper (>= 10),
+ libayatana-appindicator-dev | libappindicator-dev,
  libfuse-dev,
  libwxgtk3.0-dev,
  pkg-config,
- yasm (>= 1.2) [any-i386 any-amd64]
-Standards-Version: 4.0.0
+ yasm [any-i386 any-amd64]
+Standards-Version: 4.2.1
 Homepage: https://veracrypt.fr/
 
 Package: veracrypt
@@ -21,8 +20,7 @@
  lsb-base,
  sudo,
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
+ ${shlibs:Depends},
  exfat-utils,
  ntfs-3g,
  xdg-utils

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -20,3 +17,6 @@
 
 override_dh_installinit:
 	dh_installinit --no-start -- stop 10 0 1 6 .
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
